
Figure - Bug #117309
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】【VC1】修改帧率至45后，进入部落冲突，帧率先短暂的显示为45后变为30
2023-04-03 16:15 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-03

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-18

Test Type: ST Root cause: 问题原因：��部落冲突的游戏中有特殊的设置或者配置，某一个layer影响了游戏模式设置的帧率，游戏内部修改帧率不符合游戏模式中设置固定帧率的初衷，所以需要进行修改��问题处理：��用游戏模式中设置的固定帧率修正游戏内部可能的票选值

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开游戏模式将修改帧率至45

2、打开部落冲突

【预期结果】

2、帧率为45

【实际结果】

2、帧率先短暂的显示为45后变为30

部落冲突是在应用宝下载的

30和60帧时可以正常显示

History

#1 - 2023-04-03 16:16 - CD TEST-方永红

- File 1615.txt added

#2 - 2023-04-04 15:25 - CD FW王武军

【】当前状态

1、确认现象、复现问题

2、问题初步分析

当设置帧率为45时，启动部落冲突的日志信息

03-26 02:17:25.611  1012  1061 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.tencent.tmgp.supercell.clashofclans/com.supercell.titan.tencent.GameAppTencent bnds=[1626,680][1926,972]} from uid 10076

03-26 02:17:26.191  2194  4685 I GameMode_ActivityMonitoringService: onActivityLaunch: com.tencent.tmgp.supercell.clashofclans, isGameApp: true

03-26 02:17:26.191  2194  4685 V GameMode_GpuUtils: fps:45

03-26 02:17:26.199  2194  4685 D GameMode_GameModeActionUtils: Show GameMode entry by service!

03-26 02:17:26.201  2194  2194 D GameMode_GameModeService: onStartCommand, type=show_entry

03-26 02:17:26.247  2194  4685 I GameMode_ActivityMonitoringService: [Perf]-current:(com.tencent.tmgp.supercell.clashofclans) performance: handle=125 ,
value=com.tencent.tmgp.supercell.clashofclans%125

03-26 02:17:30.968  2194  2194 D GameMode_GameSettingsObserver: Game Data change!!!! uri =

content://com.thundercomm.gamemode.api/gamemode_settings/gamemode_isgaming

03-26 02:17:30.983  2194  2194 D GameMode_GameModeService: updateGlobalSettings = gamemode_isgaming

上层并未修改帧率值为30，而且查看上层的帧率值还是45。

帧率之所以变化为30，问题应该在底层，需要进一步分析确认问题原因。

#3 - 2023-04-15 18:34 - CD FW王武军

【】当前状态

4月15日进展：

1、上层设置的刷新率，在游戏启动过程中被layer票选的刷新率进行修改，这种场景在游戏模式中是不太恰当，

计划在游戏模式开启时，启动游戏时如果存在layer的票选刷新率想修改当前的刷新率，就进行拦截。

目前已经有一个初步的方案，还需要验证周边和优化。

#4 - 2023-04-17 19:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194056 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: fix game's refresh rateCheck and update best refresh rate whenthe layer's refresh rate changed.TC-RID: 1201-0204803IssueID:

TS-R-BUG-117309Change-Id: I5e420b0459321150b9bd8b2af516cf574ae0ef49

#5 - 2023-04-17 19:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194245 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: fix game's refresh rateSet sys.gamemode.on when switch thegameMode state.TC-RID: 1201-0204803IssueID: TS-R-BUG-117309Change-Id:

I78fc01cabefd79c069e8a092790c3bcf844c4fa7

#6 - 2023-04-17 19:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194248 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com
AF:GameMode: fix game's refresh rateSet sys.gamemode.on when turn off/ongameMode state.TC-RID: 1201-0204803IssueID: TS-R-BUG-117309Change-Id:

Idc934f88119dd87733313e6738c3f67012e96d5a

#7 - 2023-04-17 19:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194247 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: fix game's refresh rateSet sys.gamemode.on when start the game app.TC-RID: 1201-0204803IssueID: TS-R-BUG-117309Change-Id:

Ibb193c3f17b3f13c155e79af7a885ff9795e6d00

#8 - 2023-04-17 19:54 - CD FW王武军

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-18

- Root cause set to 问题原因：

部落冲突的游戏中有特殊的设置或者配置，某一个layer影响了游戏模式设置的帧率，游戏内部修改帧率不符合游戏模式中设置固定帧率的初衷，所以需

要进行修改

问题处理：

用游戏模式中设置的固定帧率修正游戏内部可能的票选值

#9 - 2023-04-19 19:34 - CDTS_Test 吴诗雨

- Status changed from New to RESOLVED

- Assignee changed from CD TEST-方永红 to CDTS_Test 吴诗雨

验证版本：0419DB

验证情况：修改帧率至45后，进入部落冲突，帧率一直是45

#10 - 2023-04-19 19:34 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#11 - 2023-04-19 19:34 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000001651 2023-04-03 16-10-14.mp4 6.19 MB 2023-04-03 CD TEST-方永红

1615.txt 5.33 MB 2023-04-03 CD TEST-方永红
